Google Groups

Re: [rhomobile] mac ruby 1.8 ----> Unable to activate rhosync-2.1.16, because rack-1.4.1 conflicts with rack (~> 1.3.6)


Venkat Polisetti Apr 26, 2012 7:12 AM
Posted in group: rhomobile
Lars,

Thank you for your help. Deprecating rack to 1.3.6 worked. 

I really appreciate it.

Thanks,
Venkat Polisetti


On Monday, April 23, 2012 7:34:52 PM UTC-4, Burgess Lars-KDWC48 wrote:
For the first problem, uninstall rack 1.4.1 and just have rack 1.3.6 installed.  For the second problem, you need rspec 1.3.1 as this is what RhoSync works with.  RhoConnect works with the latest rspec 2.9.0.

-Lars

On Apr 23, 2012, at 2:48 PM, Venkat Polisetti wrote:

I am trying to start rhosync with the following rake task and I go the following on my mac with ruby 1.8.7. I saw another thread on this group but it is talking about windows environment. The other thing is that it always complain with rspec / rcove not available, but I have installed them earlier. At the bottom of this message are the gem contents for those gems.

$rake rhosync:start
rspec / rcov not available. Install it with: 
gem install rspec rcov

Detach with Ctrl+\  Re-attach with rake rhosync:attach
dtach -A /tmp/rhosync.dtach rackup -s thin config.ru -P /tmp/rhosync.pid

/Library/Ruby/Site/1.8/rubygems/specification.rb:1631:in `raise_if_conflicts': Unable to activate rhosync-2.1.16, because rack-1.4.1 conflicts with rack (~> 1.3.6) (Gem::LoadError)
from /Library/Ruby/Site/1.8/rubygems/specification.rb:746:in `activate'
from /Library/Ruby/Site/1.8/rubygems.rb:211:in `try_activate'
from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:59:in `require'
from /Users/rhomobile/workspace/employee-server/config.ru:9
from /Library/Ruby/Gems/1.8/gems/rack-1.4.1/lib/rack/builder.rb:51:in `instance_eval'
from /Library/Ruby/Gems/1.8/gems/rack-1.4.1/lib/rack/builder.rb:51:in `initialize'
from /Users/rhomobile/workspace/employee-server/config.ru:1:in `new'
from /Users/rhomobile/workspace/employee-server/config.ru:1


$gem contents rspec rcov
/Library/Ruby/Gems/1.8/gems/rspec-2.9.0/License.txt
/Library/Ruby/Gems/1.8/gems/rspec-2.9.0/README.markdown
/Library/Ruby/Gems/1.8/gems/rspec-2.9.0/lib/rspec.rb
/Library/Ruby/Gems/1.8/gems/rspec-2.9.0/lib/rspec/version.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/bin/rcov
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/ext/rcovrt/1.8/callsite.c
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/ext/rcovrt/1.8/rcovrt.c
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/ext/rcovrt/Makefile
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/ext/rcovrt/callsite.o
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/ext/rcovrt/extconf.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/ext/rcovrt/rcovrt.bundle
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/ext/rcovrt/rcovrt.o
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/call_site_analyzer.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/code_coverage_analyzer.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/coverage_info.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/differential_analyzer.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/file_statistics.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/formatters.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/formatters/base_formatter.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/formatters/failure_report.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/formatters/full_text_report.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/formatters/html_coverage.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/formatters/html_erb_template.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/formatters/html_profiling.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/formatters/ruby_annotation.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/formatters/text_coverage_diff.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/formatters/text_report.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/formatters/text_summary.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/lowlevel.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/rcovtask.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/templates/detail.html.erb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/templates/index.html.erb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/templates/jquery-1.3.2.min.js
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/templates/jquery.tablesorter.min.js
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/templates/print.css
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/templates/rcov.js
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/templates/screen.css
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcov/version.rb
/Library/Ruby/Gems/1.8/gems/rcov-1.0.0/lib/rcovrt.bundle
$
$
Any help would be appreciated.

Thanks,
Venkat Polisetti

--
You received this message because you are subscribed to the Google Groups "rhomobile" group.
To view this discussion on the web visit https://groups.google.com/d/msg/rhomobile/-/T1iwlPiCkVwJ.
To post to this group, send email to rhom...@googlegroups.com.
To unsubscribe from this group, send email to rhomobile+...@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/rhomobile?hl=en.